Get Active Promotions
1 min
GET
https://api.upstartcommerce.com/v1/promotion/list/active
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- Promotion[]Description
- dataPromotionDatarequiredDescription
- descriptionstring
- mediamap<string, MediaValue>
- messagestringrequired
- namestringrequired
- executorExecutorrequiredDescription
- templateIdstringrequiredDescription
- configurationobjectrequiredDescription
- idstringDescription
- isActivebooleanrequiredDefaultfalse
- isArchivedbooleanrequiredDefaultfalse
- priorityintegerrequired
- siteIdsstring[]required
- startDatestring<date-time>requiredFormatdate-time
- stopDatestring<date-time>requiredFormatdate-time
- taxCodestringDescription
- excludedPromotionIdsstring[]requiredDescription
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/promotion/list/active \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/promotion/list/active", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/promotion/list/active")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/promotion/list/active"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-promotion/s returned.
[
{
"data": {
"description": "",
"media": "",
"message": "",
"name": ""
},
"executor": {
"templateId": "",
"configuration": {}
},
"id": "",
"isActive": false,
"isArchived": false,
"priority": 0,
"siteIds": [
""
],
"startDate": "",
"stopDate": "",
"taxCode": "",
"excludedPromotionIds": [
""
]
}
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}